%define SourceDir PluginSDK-3.0b5
Name: PluginSDK
Version: 3.0b5
Release: 1
Group: Programming/Library
Packager: linuxkid <linux@peanutlinux.org>
Summary: Netscape's Plugin SDK
Copyright: Netscape
URL: http://www.netscape.com/comprod/development_partners/plugin_api/
BuildRoot: %{_tmppath}/%{name}-root
Source0: ftp://ftp.netscape.com/pub/plugin/sdk/unix/unix-sdk-3.0b5.tar.bz2

AutoReqProv	: no

%Description
The Netscape Navigator LiveConnect/Plug-in API allows third parties to
extend Netscape Navigator with native support for new data types and
additional features.  Plug-ins appear as additional capabilities of the
Netscape client, indistinguishable to the user from the baseline features.
LiveConnect allows plug-ins to be controlled by Java and JavaScript.

%Prep
%setup -n %{SourceDir}

%Install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/local/%{SourceDir}
install -d $RPM_BUILD_ROOT/usr/include

(tar cf - bin/LinuxELF1.2.13/*) | (cd $RPM_BUILD_ROOT/usr/local/%{SourceDir} && tar xf -)
(tar cf - classes/*) | (cd $RPM_BUILD_ROOT/usr/local/%{SourceDir} && tar xf -)
(tar cf - common/*) | (cd $RPM_BUILD_ROOT/usr/local/%{SourceDir} && tar xf -)
(tar cf - examples/*) | (cd $RPM_BUILD_ROOT/usr/local/%{SourceDir} && tar xf -)
#(tar cf - include/*) | (cd $RPM_BUILD_ROOT/usr && tar xf -)
# includes should stay in the PluginSDK directory, but linuxkid changed this...
(tar cf - include/*) | (cd $RPM_BUILD_ROOT/usr/ && tar xf -)

find $RPM_BUILD_ROOT -type d -print | grep %{SourceDir} | \
    sed "s@^$RPM_BUILD_ROOT@%dir @g" > %{Name}-%{Version}-filelist
find $RPM_BUILD_ROOT -type f -print | grep %{SourceDir} | \
    sed "s@^$RPM_BUILD_ROOT@@g" >> %{Name}-%{Version}-filelist
find $RPM_BUILD_ROOT -type l -print | grep %{SourceDir} | \
    sed "s@^$RPM_BUILD_ROOT@@g" >> %{Name}-%{Version}-filelist
#for those that are in the /usr/include directory
#No.  See comment above in the tar... section
#find $RPM_BUILD_ROOT/usr/include -type f -print | \
    #sed "s@^$RPM_BUILD_ROOT@@g" >> %{Name}-%{Version}-filelist

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
/*
